質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
85.49%
terminal

Terminalは、Apple社のmacOSに標準で付属しているUNIX端末エミュレータ。UNIXコマンドによってMacの操作および設定を行うことができます。

MacOS(OSX)

MacOSとは、Appleの開発していたGUI(グラフィカルユーザーインターフェース)を採用したオペレーションシステム(OS)です。Macintoshと共に、市場に出てGUIの普及に大きく貢献しました。

zsh

zshは、UNIX系OSのシェルの1つです。 cshやksn系のコマンドライン編集機能も実装されたシェルです。

Q&A

1回答

1169閲覧

terminalを起動した際の エラーを直したいです.

takumig

総合スコア3

terminal

Terminalは、Apple社のmacOSに標準で付属しているUNIX端末エミュレータ。UNIXコマンドによってMacの操作および設定を行うことができます。

MacOS(OSX)

MacOSとは、Appleの開発していたGUI(グラフィカルユーザーインターフェース)を採用したオペレーションシステム(OS)です。Macintoshと共に、市場に出てGUIの普及に大きく貢献しました。

zsh

zshは、UNIX系OSのシェルの1つです。 cshやksn系のコマンドライン編集機能も実装されたシェルです。

0グッド

0クリップ

投稿2021/03/14 09:49

terminalを開いた際に,以下のようなエラーが出てしまうのですが,
どこがおかしいかわからず,教えていただきたいです.

エラー文

/Users/user_name/.oh-my-zsh/tools/check_for_upgrade.sh:37: parse error near `{'

該当ファイル

# Migrate .zsh-update file to $ZSH_CACHE_DIR if [[ -f ~/.zsh-update && ! -f "${ZSH_CACHE_DIR}/.zsh-update" ]]; then mv ~/.zsh-update "${ZSH_CACHE_DIR}/.zsh-update" fi # Cancel update if: # - the automatic update is disabled. # - the current user doesn't have write permissions nor owns the $ZSH directory. # - git is unavailable on the system. if [[ "$DISABLE_AUTO_UPDATE" = true ]] \ || [[ ! -w "$ZSH" || ! -O "$ZSH" ]] \ || ! command -v git &>/dev/null; then return fi function current_epoch() { zmodload zsh/datetime echo $(( EPOCHSECONDS / 60 / 60 / 24 )) } function update_last_updated_file() { echo "LAST_EPOCH=$(current_epoch)" >! "${ZSH_CACHE_DIR}/.zsh-update" } function update_ohmyzsh() { Updated upstream if ZSH="$ZSH" zsh -f "$ZSH/tools/upgrade.sh" --interactive; then ======= ZSH="$ZSH" zsh -f "$ZSH/tools/upgrade.sh" --interactive if [[ "$?" = 80 ]]; then Stashed changes update_last_updated_file fi } { emulate -L zsh local epoch_target mtime option LAST_EPOCH # Remove lock directory if older than a day zmodload zsh/datetime zmodload -F zsh/stat b:zstat if mtime=$(zstat +mtime "$ZSH/log/update.lock" 2>/dev/null); then if (( (mtime + 3600 * 24) < EPOCHSECONDS )); then command rm -rf "$ZSH/log/update.lock" fi fi # Check for lock directory if ! command mkdir "$ZSH/log/update.lock" 2>/dev/null; then return fi # Remove lock directory on exit. `return 1` is important for when trapping a SIGINT: # The return status from the function is handled specially. If it is zero, the signal is # assumed to have been handled, and execution continues normally. Otherwise, the shell # will behave as interrupted except that the return status of the trap is retained. trap " unset -f current_epoch update_last_updated_file update_ohmyzsh command rm -rf '$ZSH/log/update.lock' return 1 " EXIT INT QUIT # Create or update .zsh-update file if missing or malformed if ! source "${ZSH_CACHE_DIR}/.zsh-update" 2>/dev/null || [[ -z "$LAST_EPOCH" ]]; then update_last_updated_file return fi # Number of days before trying to update again epoch_target=${UPDATE_ZSH_DAYS:-13} # Test if enough time has passed until the next update if (( ( $(current_epoch) - $LAST_EPOCH ) < $epoch_target )); then return fi # Ask for confirmation before updating unless disabled if [[ "$DISABLE_UPDATE_PROMPT" = true ]]; then update_ohmyzsh else # input sink to swallow all characters typed before the prompt # and add a newline if there wasn't one after characters typed while read -t -k 1 option; do true; done [[ "$option" != ($'\n'|"") ]] && echo echo -n "[oh-my-zsh] Would you like to update? [Y/n] " read -r -k 1 option [[ "$option" != $'\n' ]] && echo case "$option" in [yY$'\n']) update_ohmyzsh ;; [nN]) update_last_updated_file ;; esac fi }

使用には問題は発生していないのですが,気持ちが悪く,修復したいと思っております.
ご教示いただけますと幸いです.

気になる質問をクリップする

クリップした質問は、後からいつでもMYページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

guest

回答1

0

/Users/user_name/.oh-my-zsh/tools/check_for_upgrade.shのファイルが壊れているようですね。

正しいファイルで置き換えましょう。

投稿2021/03/14 10:28

otn

総合スコア84491

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

otn

2021/03/14 11:12

エラー発見行の手前の、関数 update_ohmyzsh の中身がぐちゃぐちゃです。
takumig

2021/03/14 13:03

github を参考に関数内を以下のように書き直したのですが,更なるエラーが出てしまいます. どのように対応したら良いかご教示いただけますと幸いです. ``` function update_ohmyzsh() { if ZSH="$ZSH" zsh -f "$ZSH/tools/upgrade.sh" --interactive; then update_last_updated_file fi } ``` エラー文 update_ohmyzsh:1: command not found: Updated Updating Oh My Zsh error: Pulling is not possible because you have unmerged files. hint: Fix them up in the work tree, and then use 'git add/rm <file>' hint: as appropriate to mark resolution and make a commit. fatal: Exiting because of an unresolved conflict. There was an error updating. Try again later?
otn

2021/03/14 15:05

正しいファイルで置き換えましょう。 としか言いようが無いです。
guest

あなたの回答

tips

太字

斜体

打ち消し線

見出し

引用テキストの挿入

コードの挿入

リンクの挿入

リストの挿入

番号リストの挿入

表の挿入

水平線の挿入

プレビュー

まだベストアンサーが選ばれていません

会員登録して回答してみよう

アカウントをお持ちの方は

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
85.49%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問